| dfemix Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfeMix_ModelParameters Struct Reference
Overview

Mixer model parameters structure. More...

## Data Fields
u32 | Mode
| [0,1] 0=downlink, 1=uplink More...
u32 | NumAntenna
| [1,2,4,8] Number of antennas More...
u32 | MaxUseableCcids
| [2,4,8] Maximum CC usable More...
u32 | Lanes
| [1-8] Number of lanes More...
u32 | AntennaInterleave
| [1,2,4,8] Number of Antenna slots More...
u32 | MixerCps
| [1,2,4] More...
u32 | NumAuxiliary
| [0-3] More...
u32 | DataIWidth
             [16,24] 16 for 16-bit sample data and 24 for
18-bit sample data. More...
u32 | DataOWidth
             [16,24] 16 for 16-bit sample data and 24 for
18-bit sample data. More...
u32 | TUserWidth
| [0-64] More...

## Detailed Description

Mixer model parameters structure.

Data defined in Device tree/xparameters.h.

## Field Documentation

u32 XDfeMix_ModelParameters::AntennaInterleave

[1,2,4,8] Number of Antenna slots

Referenced by XDfeMix_Configure().

u32 XDfeMix_ModelParameters::DataIWidth

             [16,24] 16 for 16-bit sample data and 24 for

18-bit sample data.

Referenced by XDfeMix_Configure().

u32 XDfeMix_ModelParameters::DataOWidth

             [16,24] 16 for 16-bit sample data and 24 for

18-bit sample data.

Referenced by XDfeMix_Configure().

u32 XDfeMix_ModelParameters::Lanes

[1-8] Number of lanes

Referenced by XDfeMix_Configure().

u32 XDfeMix_ModelParameters::MaxUseableCcids

[2,4,8] Maximum CC usable

Referenced by XDfeMix_Configure().

u32 XDfeMix_ModelParameters::MixerCps

[1,2,4]

Referenced by XDfeMix_Configure().

u32 XDfeMix_ModelParameters::Mode

[0,1] 0=downlink, 1=uplink

Referenced by XDfeMix_Configure().

u32 XDfeMix_ModelParameters::NumAntenna

[1,2,4,8] Number of antennas

Referenced by XDfeMix_Configure().

u32 XDfeMix_ModelParameters::NumAuxiliary

[0-3]

Referenced by XDfeMix_Configure().

u32 XDfeMix_ModelParameters::TUserWidth

[0-64]

Referenced by XDfeMix_Configure().